List suppliers (vendors)
curl --request GET \
--url https://app.solya.app/api/suppliers \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/suppliers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/suppliers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/suppliers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/suppliers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/suppliers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"code": "ACME",
"email": "contact@acme-textiles.com",
"id": "s1",
"isActive": true,
"name": "Acme Textiles",
"phone": "+33 1 23 45 67 89"
},
{
"code": "BELLA",
"email": "hello@bellafabrics.com",
"id": "s2",
"isActive": true,
"name": "Bella Fabrics",
"phone": "+33 1 98 76 54 32"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 5
}
}Suppliers
List suppliers (vendors)
Returns a paginated, searchable list of the organization’s suppliers — the vendors stock is purchased from and returned to. Search by name or code to look up a supplier or to resolve a supplier identifier before creating restock (purchase order), return-to-vendor (RTV), or supplier-exchange plans. A supplier is distinct from a brand (the label on the product).
GET
/
api
/
suppliers
List suppliers (vendors)
curl --request GET \
--url https://app.solya.app/api/suppliers \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/suppliers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/suppliers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/suppliers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/suppliers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/suppliers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"code": "ACME",
"email": "contact@acme-textiles.com",
"id": "s1",
"isActive": true,
"name": "Acme Textiles",
"phone": "+33 1 23 45 67 89"
},
{
"code": "BELLA",
"email": "hello@bellafabrics.com",
"id": "s2",
"isActive": true,
"name": "Bella Fabrics",
"phone": "+33 1 98 76 54 32"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 5
}
}Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Query Parameters
Page number, 1-indexed (default: 1)
Required range:
1 <= x <= 9007199254740991Number of items per page, max 100 (default: 20)
Required range:
1 <= x <= 100Case-insensitive substring search query
Filter by active status. true = active only, false = inactive only, omit = all suppliers.
Available options:
true, false 
